Loading...
Searching...
No Matches
bigWigFile_t Struct Reference

A structure that holds everything needed to access a bigWig file. More...

`#include <bigWig.h>`

## Data Fields

URL_t * | URL
bigWigHdr_t * | hdr
chromList_t * | cl
bwRTree_t * | idx
bwWriteBuffer_t * | writeBuffer
int | isWrite
int | type

## Detailed Description

A structure that holds everything needed to access a bigWig file.

## Field Documentation

## cl

chromList_t* bigWigFile_t::cl

A list of chromosome names (the order is the ID).

## hdr

bigWigHdr_t* bigWigFile_t::hdr

The file header.

## idx

bwRTree_t* bigWigFile_t::idx

The index for the full dataset.

## isWrite

int bigWigFile_t::isWrite

0: Opened for reading, 1: Opened for writing.

## type

int bigWigFile_t::type

0: bigWig, 1: bigBed.

## URL

URL_t* bigWigFile_t::URL

A pointer that can handle both local and remote files (including a buffer if needed).

## writeBuffer

bwWriteBuffer_t* bigWigFile_t::writeBuffer

The buffer used for writing.

The documentation for this struct was generated from the following file:

- bigWig.h